Summary:	Daemon to balance irq's across multiple CPUs
Name:		irqbalance
Version:	1.9.4
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://irqbalance.org/
Source0:	https://github.com/Irqbalance/irqbalance/archive/v%{version}/%{name}-%{version}.tar.gz
# Fedora patches:
Patch1:         irqbalance-1.9.0-environment-file-sysconfig.patch
Patch2:         0001-irqbalance-ui-check-if-using-a-negative-index-of-buf.patch
Patch3:         0001-Drop-ProtectKernelTunables.patch
# https://github.com/Irqbalance/irqbalance/commit/b6a831d692ed7e12db7748db49b3b39516d151d2
Patch4:         b6a831d692ed7e12db7748db49b3b39516d151d2.patch
BuildRequires:	gccmakedep
BuildRequires:	systemd
BuildRequires:	pkgconfig(ncurses)
%ifnarch %{arm}
BuildRequires:	pkgconfig(numa)
%endif
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcap-ng)

Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
Irqbalance is a daemon to help balance the cpu load generated by interrupts
across all of a systems cpus. Irqbalance identifies the highest volume
interrupt sources, and isolates each of them to a single unique cpu, so that
load is spread as much as possible over an entire processor set, while
minimizing cache miss rates for irq handlers.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man1}
install -p -m 0755 irqbalance %{buildroot}%{_sbindir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 misc/irqbalance.env %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -p -m 0644 irqbalance.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 misc/irqbalance.service %{buildroot}%{_unitdir}/irqbalance.service

%post
%_post_service irqbalance

%preun
%_preun_service irqbalance


%files
%doc AUTHORS
%license COPYING
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/irqbalance
%{_unitdir}/irqbalance.service
%{_mandir}/man1/*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.9.4-3.mga10
+ Revision: 2249068
- Mageia 10 Mass Rebuild

* Fri Mar 21 2025 tv <tv> 1.9.4-2.mga10
+ Revision: 2168249
- Drop ProtectKernelTunables (fix the /proc/irq read-only issue)
- irqbalance-ui: check if using a negative index of buffer
- add void to fix strict-prototypes (for incoming C23)
+ wally <wally>
- update description

* Sun Jan 26 2025 wally <wally> 1.9.4-1.mga10
+ Revision: 2142634
- new version 1.9.4
- rediff service env patch

* Sun Apr 14 2024 daviddavid <daviddavid> 1.9.3-2.mga10
+ Revision: 2057322
- drop unwanted initscript
- use upstream manpage and sysconfig file

* Thu Feb 15 2024 daviddavid <daviddavid> 1.9.3-1.mga10
+ Revision: 2041355
- new version: 1.9.3

* Sun Nov 13 2022 danf <danf> 1.9.2-1.mga9
+ Revision: 1906698
- 1.9.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.8.0-1.mga9
+ Revision: 1740208
- 1.8.0

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.7.0-1.mga8
+ Revision: 1647118
- 1.7.0

* Thu May 28 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1588426
- new version: 1.6.0

* Fri Feb 14 2020 umeabot <umeabot> 1.5.0-2.mga8
+ Revision: 1521644
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.5.0-1.mga7
+ Revision: 1345904
- 1.5.0
- rediff patch 0

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1298323
- Mageia 7 Mass Rebuild

* Tue Apr 17 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1219548
- BR ncurses
- Update to version 1.3.0
- Rediffed Patch0
- Removed patch merged upstream

* Tue Jun 14 2016 tv <tv> 1.1.0-2.mga6
+ Revision: 1021482
- do not BR numa on arm

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.0-1.mga6
+ Revision: 917506
- 1.1.0
- add arm fix patch from fedora

* Sat Jul 25 2015 blino <blino> 1.0.9-1.mga6
+ Revision: 857189
- 1.0.9
- drop merged automake patch

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 748801
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-3.mga5
+ Revision: 680567
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 541491
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 1.0.7-1.mga4
+ Revision: 496005
- 1.0.7

* Sat Jun 15 2013 luigiwalser <luigiwalser> 1.0.6-1.mga4
+ Revision: 443430
- 1.0.6

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 354497
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.0.5-1.mga3
+ Revision: 339738
- fix for automake 1.13
- 1.0.5

* Thu Sep 27 2012 tmb <tmb> 1.0.4-2.mga3
+ Revision: 298788
- fix irqbalance.service env path (#7501)

* Thu Sep 06 2012 fedya <fedya> 1.0.4-1.mga3
+ Revision: 288805
- version update 1.0.4

* Sat Apr 28 2012 tmb <tmb> 1.0.3-2.mga2
+ Revision: 233760
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Dec 07 2011 tmb <tmb> 1.0.3-1.mga2
+ Revision: 178368
- add native systemd support
- update to 1.0.3

* Sun Nov 27 2011 tv <tv> 1.0.2-1.mga2
+ Revision: 172548
- new release
- BuildRequires numa-devel

* Sun Feb 20 2011 eandry <eandry> 0.56-2.mga1
+ Revision: 55023
- drop buildroot and old conditionnal
- imported package irqbalance


* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.56-1mdv2011.0
+ Revision: 574001
- update to new version 0.56
- drop all patches, fixed by upstream
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix build on older distros

* Sun Feb 21 2010 Thierry Vignaud <tv@mandriva.org> 0.55-9mdv2010.1
+ Revision: 509301
- patch 2: fix irqbalance doing nothing (#57523, RH#433270)

* Mon Feb 15 2010 Frederic Crozat <fcrozat@mandriva.com> 0.55-8mdv2010.1
+ Revision: 506182
- Update initscript to fix rpmlint warnings
- Patch3 (Fedora): use libcap-ng

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.55-7mdv2010.0
+ Revision: 425387
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.55-6mdv2009.1
+ Revision: 351254
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.55-5mdv2009.0
+ Revision: 221643
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2008.1
+ Revision: 119428
- license is not OSL but GPL
- add fedora patches: missing man page, fix for a stale PID file created by
  irqbalance --one-shot (the default on multicore CPU's with shared caches),
  compile -with -fPIE
- sync sysconfig & init scripts with fedora (thus fixing #31387)
- better description
- inline name/version/release
- use requires(post,preun) instead of prereq
- add download URL
- fix summary-ended-with-dot

* Tue May 15 2007 Olivier Blin <oblin@mandriva.com> 0.55-3mdv2008.0
+ Revision: 26903
- update URL

* Tue May 15 2007 Thierry Vignaud <tv@mandriva.org> 0.55-2mdv2008.0
+ Revision: 26868
- buildrequires glib2-devel
- cleanups
- use %%mkrel
- Import irqbalance





* Mon May 14 2007 Nicolas Chipaux <chipaux@mandriva.com> 0.55-1mdv
- new release (in fact some missed release ...)

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-1mdk
- new release
- start it in runlevel 2 too

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.09-1mdk
- 0.09

* Tue Sep 09 2003 Marcel Pol <mpol@gmx.net> 0.06-1mdk
- initial mandrake contrib
